<!doctype html>
<html>
<head>
    <meta name="viewport" content="width=device-width"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <style>
        .html {
            width: 100%;
        }

        body {
            width: 21cm;
            margin: 0 auto;
            font-family: Calibri, sans-serif;
            font-size: 12px;
        }

        .page {
            height: 29.7cm;
            break-inside: avoid;
        }

        .bold {
            font-weight: bold;
        }

        .text-uppercase {
            text-transform: uppercase;
        }

        .flex {
            display: flex;
        }

        .space-between {
            justify-content: space-between;
        }

        .space-around {
            justify-content: space-around;
        }

        .page > .ticket-wrapper {
            border-bottom: 1px dashed black;
        }

        .page > .ticket-wrapper:first-child {
            border-top: 1px dashed black;
        }

        .ticket {
            border-top: 1px solid black;
            border-bottom: 1px solid black;
            margin: 10px 0;
        }

        .ticket > *:nth-child(1) {
            display: flex;
            justify-content: space-between;
        }

        .ticket > *:nth-child(2) {
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 24px;
        }

        .squares {
            display: flex;
        }

        .squares .square {
            border: 3px solid black;
            height: 65px;
            width: 65px;
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
        }

        .squares > .square:not(:first-child) {
            margin-left: 30px;
        }

        .squares .square .legend {
            position: absolute;
            left: -40px;
            transform: rotate(-90deg);
            font-size: 12px;
        }

        .squares .square .content {
            font-size: 33px;
            font-weight: bold;
        }

        .ticket > *:nth-child(3) {
            display: flex;
            align-items: center;
        }

        .luggages {
            margin: 10px 0;
        }

        .font-size-large {
            font-size: 19px;
        }

        .font-size-small {
            font-size: 10px;
        }
    </style>
</head>

<body class="">
{{#each pages}}
    <div class="page">
        {{#each paxs}}
            <div class="ticket-wrapper">
                <div class="ticket">
                    <div>
                        <div>
                            AAE - CARTE D'EMBARQUEMENT - BOARDING PASS
                        </div>
                        <div>
                            {{ @root.airfield_arrival_name }}
                        </div>
                    </div>

                    <div>
                        <div>
                            {{#with rank}}
                                {{ name }}
                            {{/with}} <span class="bold text-uppercase">{{ last_name }} {{ first_name }}</span>
                        </div>
                        <div class="squares">
                            <div class="square">
                    <span class="legend">
                        Siège (Seat)
                    </span>
                    <span class="content">
                        {{ seat.number }}{{ seat.row }}
                    </span>
                            </div>
                            <div class="square">
                    <span class="legend">
                        N° Manifeste
                    </span>
                    <span class="content">
                        {{ manifest_number }}
                    </span>
                            </div>
                        </div>
                    </div>

                    <div>
                        <svg width="3cm" xmlns="http://www.w3.org/2000/svg" id="Calque_1" data-name="Calque 1"
                             viewBox="0 0 100 72.317">
                            <title>armée de l&amp;apos;air et de l&amp;apos;espace</title>
                            <path id="path3000"
                                  d="M0,0C40.88292,11.9588,42.14484,27.86305,42.14484,27.86305l-7.49282.6034C26.74778,7.36789,0,0,0,0Z"
                                  style="fill:#0055d4"/>
                            <path id="path3002"
                                  d="M100,46.32535S74.44466,32.5007,56.69022,29.049c0,0-12.74311-3.4145-16.97039,4.49119-1.44585,2.02283,4.20584,1.67678,4.20584,1.67678,13.21946-.4247,25.74789,2.01161,38.03874,5.66069C92.532,44.01508,100,46.32535,100,46.32535Z"
                                  style="fill:#d40000"/>
                            <path d="M17.4552,39.42469a13.02077,13.02077,0,0,1,6.58454-3.96c3.81837-.38285,4.95129-1.98739,4.95129-1.98739,2.94684-3.127,2.92354-4.53924,2.92354-4.53924-9.613,2.14427-12.1397,4.07832-12.1397,4.07832-.72471.34037-1.259,1.937-1.259,1.937-1.5017,3.21924-1.06063,4.4713-1.06063,4.4713Z"
                                  style="fill:#1a1a1a;isolation:isolate"/>
                            <path id="path3004"
                                  d="M49.40893,40.85637l4.63836-1.5691C63.45571,51.399,62.54482,54.1426,62.54482,54.1426c-1.2265.1735-4.53008-5.69678-8.222-8.85633s-4.91392-4.4299-4.91392-4.4299Z"
                                  style="fill:#1a1a1a;isolation:isolate"/>
                            <path d="M8.59836,61.54851l-.15109.64557H6.45563l1.79931-5.178h2.08073l1.8474,5.178H10.19142l-.17158-.64557Zm.33632-1.22916h.75541L9.47043,59.406a6.71835,6.71835,0,0,1-.12375-.66633H9.2781Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M12.57431,62.19408v-5.178h2.27307a2.57021,2.57021,0,0,1,1.55561.43958,1.57262,1.57262,0,0,1,.60078,1.35974,1.40341,1.40341,0,0,1-.23.86878,1.56344,1.56344,0,0,1-.77262.477v.04125a1.57276,1.57276,0,0,1,.31609.309l1.12615,1.68265H15.27329l-.824-1.6619h-.03442v1.6619Zm1.84057-3.76338v.87916h.13033a.98863.98863,0,0,0,.45325-.086.35288.35288,0,0,0,.165-.3467.37372.37372,0,0,0-.15792-.36063.94919.94919,0,0,0-.44641-.08579Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M17.56,62.19408l.83791-5.178h1.93648l.71415,2.71947h.04809q.07554-.48057.13058-.68682l.58358-2.03265h1.916l.85157,5.178H22.75855L22.50447,59.358h-.03442a4.09574,4.09574,0,0,1-.1235.515L21.598,62.19408H20.49915l-.67291-2.19081a3.61707,3.61707,0,0,1-.11666-.64532h-.06175q-.02771.43236-.04808.62482l-.21992,2.21131Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M25.18269,62.19408v-5.178h3.48172V58.4307H27.07792v.4945H28.527v1.34607H27.07792v.50816h1.6414v1.41465Zm1.7649-6.929.85841.56991-1.13324.98874-.62483-.42566Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M29.46765,62.19408v-5.178h3.48171V58.4307H31.36288v.4945H32.812v1.34607H31.36288v.50816h1.6414v1.41465Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M36.65074,62.19408v-5.178h1.916a4.58032,4.58032,0,0,1,1.21549.15108,2.88014,2.88014,0,0,1,.96824.46362,2.07288,2.07288,0,0,1,.65241.83437,2.95309,2.95309,0,0,1,.23333,1.21549,2.39925,2.39925,0,0,1-.72428,1.82665,2.61921,2.61921,0,0,1-1.87828.68682Zm1.88157-3.55738V60.642H38.649a1.25615,1.25615,0,0,0,.8002-.24041.86942.86942,0,0,0,.30546-.72783q0-1.03707-1.10566-1.03707Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M42.2886,62.19408v-5.178h3.48172V58.4307H44.18383v.4945H45.6329v1.34607H44.18383v.50816h1.6414v1.41465Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M49.4579,62.19408v-5.178h1.88182v3.51613h1.5794v1.6619Z" style="fill:#1a1a1a"/>
                            <path d="M54.22394,59.57761H52.84371l.83082-2.56156H55.4531Z" style="fill:#1a1a1a"/>
                            <path d="M57.94607,61.54851l-.15108.64557H55.80334l1.79932-5.178h2.08073l1.8474,5.178H59.53914l-.17158-.64557Zm.33633-1.22916h.75541l-.21966-.91332a6.71835,6.71835,0,0,1-.12375-.66633h-.06859Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M61.936,62.19408v-5.178h1.88156v5.178Z" style="fill:#1a1a1a"/>
                            <path d="M64.68959,62.19408v-5.178h2.27306a2.57018,2.57018,0,0,1,1.55561.43958,1.5726,1.5726,0,0,1,.60079,1.35974,1.40341,1.40341,0,0,1-.23.86878,1.56348,1.56348,0,0,1-.77262.477v.04125a1.57265,1.57265,0,0,1,.31608.309l1.12616,1.68265H67.38856l-.824-1.6619h-.03442v1.6619Zm1.84056-3.76338v.87916h.13034a.98858.98858,0,0,0,.45324-.086.35286.35286,0,0,0,.165-.3467.37374.37374,0,0,0-.15791-.36063.94921.94921,0,0,0-.44642-.08579Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M10.06841,69.20158l-.56305-.70053a2.00766,2.00766,0,0,1-1.55195.81034,1.5868,1.5868,0,0,1-1.123-.43255,1.43,1.43,0,0,1-.46329-1.092,1.19962,1.19962,0,0,1,.23-.74859,3.20955,3.20955,0,0,1,.6765-.6248l.32274-.23361a1.70734,1.70734,0,0,1-.57-1.13308,1.06192,1.06192,0,0,1,.33644-.82739,1.22819,1.22819,0,0,1,.8584-.3057,1.277,1.277,0,0,1,.84472.292.97069.97069,0,0,1,.35012.78631,1.01623,1.01623,0,0,1-.0788.39483,1.20632,1.20632,0,0,1-.237.35711,3.51241,3.51241,0,0,1-.28837.278q-.13079.10981-.33672.261L9.55342,67.5876l.60413-.70025.41215.42557-.63179.74188.92715,1.14678Zm-2.0946-2.55482-.06176.04135q-.0067.00672-.1372.09613c-.08718.05952-.14195.09724-.16486.11345q-.03436.02388-.14782.11316a2.068,2.068,0,0,0-.15787.13385c-.0299.0299-.0721.07461-.12714.13385a.638.638,0,0,0-.11317.15815c-.02068.04583-.04108.09948-.06176.16124a.57256.57256,0,0,0-.031.18218.9081.9081,0,0,0,.29535.66253.924.924,0,0,0,.66616.292,1.02068,1.02068,0,0,0,.45994-.1168,1.86574,1.86574,0,0,0,.37779-.24031q.14418-.12364.3504-.32972Zm.13748-.81007.08243-.055q.02724-.02055.13385-.09948.10646-.07921.14753-.1168.04151-.03772.12016-.1168a.86588.86588,0,0,0,.1168-.13748.689.689,0,0,0,.06874-.14754.54107.54107,0,0,0,.031-.17856.5235.5235,0,0,0-.1685-.41551.63655.63655,0,0,0-.43591-.14753.58121.58121,0,0,0-.40852.15452.51156.51156,0,0,0-.16822.39483.62789.62789,0,0,0,.05477.25065,1.19864,1.19864,0,0,0,.09947.19225q.04485.06539.15453.20258Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M13.64622,69.20158v-5.1781h1.07133a3.21443,3.21443,0,0,1,2.08063.66281,2.29508,2.29508,0,0,1,.824,1.89872,2.3732,2.3732,0,0,1-.817,1.94342,3.20758,3.20758,0,0,1-2.10829.67315Zm.64548-4.58739v3.99668h.22661a4.04973,4.04973,0,0,0,.94783-.10283,2.45525,2.45525,0,0,0,.77234-.32973,1.5407,1.5407,0,0,0,.54265-.6248,2.37732,2.37732,0,0,0,0-1.88866,1.50612,1.50612,0,0,0-.546-.62145,2.54933,2.54933,0,0,0-.77263-.3261,3.98574,3.98574,0,0,0-.94419-.10311Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M18.501,69.20158v-5.1781h2.78143v.59071H19.14678v1.44912H21.2207v.59043H19.14678v1.95713h2.13567v.59071Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M25.176,64.02348v4.58739h1.57262v.59071H24.53025v-5.1781Z" style="fill:#1a1a1a"/>
                            <path d="M27.31169,63.91366l.54265.21293-.91345,1.83361-.3845-.15788Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M28.99413,69.20158v-5.1781h2.78144v.59071H29.63989v1.44912h2.07393v.59043H29.63989v1.95713h2.13568v.59071Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M35.62107,64.69662l-.51527.309a.91359.91359,0,0,0-.83074-.4876.95642.95642,0,0,0-.59742.20594.63928.63928,0,0,0-.268.529q0,.46692.72121.7416l.3708.14419a2.53827,2.53827,0,0,1,.95117.59742,1.354,1.354,0,0,1,.3328.96151,1.5328,1.5328,0,0,1-.47726,1.15712,1.63839,1.63839,0,0,1-1.17751.45658,1.53116,1.53116,0,0,1-1.07133-.40852,1.65381,1.65381,0,0,1-.529-1.0406l.65246-.13719a.91166.91166,0,0,0,.285.70052.99324.99324,0,0,0,.71757.28139.88407.88407,0,0,0,.68349-.29871,1.02083,1.02083,0,0,0,.271-.71059.76357.76357,0,0,0-.237-.59406,2.2142,2.2142,0,0,0-.65582-.38813l-.35711-.15089a2.65894,2.65894,0,0,1-.82739-.522,1.06,1.06,0,0,1-.29871-.78966,1.18951,1.18951,0,0,1,.45323-.97186,1.64965,1.64965,0,0,1,1.07133-.36745A1.43306,1.43306,0,0,1,35.62107,64.69662Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M37.37225,67.03153v2.17005h-.64576v-5.1781h.74189a2.65192,2.65192,0,0,1,1.617.37443,1.34825,1.34825,0,0,1,.47056,1.12275,1.321,1.321,0,0,1-.50493,1.14007,2.15539,2.15539,0,0,1-1.308.3708Zm0-2.431v1.854h.20594a3.16949,3.16949,0,0,0,.49794-.03437,1.757,1.757,0,0,0,.42921-.12686.69246.69246,0,0,0,.32944-.292.96167.96167,0,0,0,.1168-.49431.87123.87123,0,0,0-.1235-.48062.697.697,0,0,0-.35041-.27831,2.106,2.106,0,0,0-.43954-.1168,3.51186,3.51186,0,0,0-.49431-.03074Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M42.92087,67.90363h-2.376l-.59043,1.298h-.69383L41.733,63.80385l2.47211,5.39773h-.69354Zm-.26769-.59071L41.733,65.2186l-.92016,2.09432Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M48.64134,64.26407v.74831a1.98422,1.98422,0,0,0-1.36668-.508,1.93183,1.93183,0,0,0-1.45248.62145,2.16623,2.16623,0,0,0-.0067,2.9734,1.91,1.91,0,0,0,1.44548.62145,2.007,2.007,0,0,0,1.38038-.53539v.762a2.72526,2.72526,0,0,1-3.2654-.41188,2.54945,2.54945,0,0,1-.7933-1.89537,2.61118,2.61118,0,0,1,.80364-1.93672,2.67992,2.67992,0,0,1,1.95013-.78967A2.44118,2.44118,0,0,1,48.64134,64.26407Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M49.64366,69.20158v-5.1781h2.78143v.59071H50.28942v1.44912h2.07392v.59043H50.28942v1.95713h2.13567v.59071Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M10.06873,69.20157l-.56333-.7005a2.00664,2.00664,0,0,1-1.55182.81033,1.58581,1.58581,0,0,1-1.12287-.43262,1.42988,1.42988,0,0,1-.46362-1.09187,1.2,1.2,0,0,1,.23-.74858,3.21335,3.21335,0,0,1,.67645-.62482l.32292-.23359a1.70707,1.70707,0,0,1-.57016-1.13311,1.06186,1.06186,0,0,1,.33658-.82741,1.22764,1.22764,0,0,1,.85841-.30558,1.27724,1.27724,0,0,1,.84474.29179.971.971,0,0,1,.35025.78628,1.01818,1.01818,0,0,1-.079.39492,1.203,1.203,0,0,1-.23713.35708A3.47692,3.47692,0,0,1,8.812,66.022q-.13059.10989-.33658.26091l1.07807,1.30483.60433-.7005.412.42579-.63166.74174.927,1.14679ZM7.97408,66.647l-.06175.04113q-.00684.007-.13742.09616-.13058.0894-.16474.11338c-.023.01607-.07213.05377-.1478.11325a2.04984,2.04984,0,0,0-.15791.134q-.04479.0446-.127.13387a.62483.62483,0,0,0-.11312.15791c-.02076.04581-.04125.09959-.062.16133a.57767.57767,0,0,0-.03087.18209.90857.90857,0,0,0,.29533.66266.92463.92463,0,0,0,.66608.29191,1.02163,1.02163,0,0,0,.46008-.11679,1.85872,1.85872,0,0,0,.37783-.24041q.14426-.12357.35025-.32963Zm.13741-.81032.08225-.05492q.02733-.02069.13413-.09958.10629-.079.14754-.11679.04137-.03759.12021-.11679a.87391.87391,0,0,0,.11666-.13729.69682.69682,0,0,0,.06883-.14767.54484.54484,0,0,0,.03088-.17854.5236.5236,0,0,0-.16829-.41541.63734.63734,0,0,0-.436-.14767.58216.58216,0,0,0-.40871.1545.51243.51243,0,0,0-.16829.39479.6265.6265,0,0,0,.05492.25066,1.18465,1.18465,0,0,0,.09971.19233q.04441.0653.15437.20259Zm5.53487,3.36493V64.02365H14.7176a3.21467,3.21467,0,0,1,2.08073.66266,2.29516,2.29516,0,0,1,.824,1.89878,2.373,2.373,0,0,1-.81716,1.94344,3.207,3.207,0,0,1-2.10807.673Zm.64533-4.58738V68.611h.22675a4.04024,4.04024,0,0,0,.94774-.103,2.45971,2.45971,0,0,0,.77262-.32975,1.53764,1.53764,0,0,0,.54233-.62483,2.374,2.374,0,0,0,0-1.88852,1.5043,1.5043,0,0,0-.54587-.62154,2.55488,2.55488,0,0,0-.77262-.3262,3.9936,3.9936,0,0,0-.9442-.103Zm4.2098,4.58738V64.02365h2.78122v.59054H19.14707v1.44907H21.221v.59054h-2.0739V68.611h2.13564v.59054Zm6.67494-5.17792V68.611H26.749v.59054H24.53085V64.02365Zm2.13565-.10983.54258.21283-.91358,1.83361-.38441-.158Zm1.6824,5.28775V64.02365h2.78123v.59054H29.64006v1.44907H31.714v.59054h-2.0739V68.611h2.13565v.59054Zm6.62686-4.50488-.51525.309a.91337.91337,0,0,0-.83082-.48766.95624.95624,0,0,0-.5975.20613.63878.63878,0,0,0-.26775.52878q0,.46692.721.74162l.37074.14425a2.53626,2.53626,0,0,1,.95129.59737,1.354,1.354,0,0,1,.333.96141,1.53309,1.53309,0,0,1-.47729,1.15715,1.6381,1.6381,0,0,1-1.17778.45667,1.53121,1.53121,0,0,1-1.07124-.40858,1.65259,1.65259,0,0,1-.52892-1.04037l.65241-.13729a.91119.91119,0,0,0,.285.70037.99382.99382,0,0,0,.7177.28154.88378.88378,0,0,0,.68329-.29862,1.02141,1.02141,0,0,0,.27129-.71087.7643.7643,0,0,0-.23687-.594,2.21117,2.21117,0,0,0-.656-.388l-.35708-.15108a2.65229,2.65229,0,0,1-.82753-.522,1.06009,1.06009,0,0,1-.29862-.7897,1.189,1.189,0,0,1,.45324-.97178,1.64942,1.64942,0,0,1,1.07124-.36733A1.433,1.433,0,0,1,35.62134,64.69669Zm1.75124,2.33481v2.17007H36.727V64.02365h.74149a2.65316,2.65316,0,0,1,1.61736.37429,1.34825,1.34825,0,0,1,.47046,1.12274,1.32077,1.32077,0,0,1-.50488,1.13995,2.15379,2.15379,0,0,1-1.30811.37087Zm0-2.431v1.85411h.206a3.20648,3.20648,0,0,0,.49779-.03429,1.76906,1.76906,0,0,0,.42921-.127.69424.69424,0,0,0,.32974-.29192A.96477.96477,0,0,0,38.952,65.507a.87125.87125,0,0,0-.12375-.4807.69589.69589,0,0,0-.35025-.27812,2.095,2.095,0,0,0-.43933-.11679,3.4788,3.4788,0,0,0-.49449-.03088Zm5.54853,3.30318H40.54505l-.59041,1.29787H39.261l2.47222-5.39771,2.47223,5.39771h-.69366Zm-.26775-.59066-.92016-2.09452L40.813,67.313Zm5.98812-3.0491v.74858a1.983,1.983,0,0,0-1.36657-.50816,1.932,1.932,0,0,0-1.45237.62153,2.16674,2.16674,0,0,0-.00683,2.97343,1.91032,1.91032,0,0,0,1.44553.62154,2.00539,2.00539,0,0,0,1.38024-.53562v.76224a2.72571,2.72571,0,0,1-3.26535-.412,2.551,2.551,0,0,1-.79312-1.89536,2.61018,2.61018,0,0,1,.8035-1.93661,2.6794,2.6794,0,0,1,1.9504-.7897A2.441,2.441,0,0,1,48.64148,64.26394Zm1.00266,4.93763V64.02365h2.78122v.59054H50.28971v1.44907h2.0739v.59054h-2.0739V68.611h2.13565v.59054Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M48.12359,55.37261h-4.448A82.92509,82.92509,0,0,0,6.497,48.45064C27.71288,43.98078,48.12359,55.37261,48.12359,55.37261Z"
                                  style="fill:#1a1a1a"/>
                            <path d="M59.71145,64.092a80.58222,80.58222,0,0,1,9.95627,8.22475s-5.66681-7.39834-7.71316-8.22475Z"
                                  style="fill:#1a1a1a"/>
                        </svg>

                        <div>
                            <div class="flex">
                                <div style="margin-right: 20px;">
                                    Vol (flight)<br/><br/>{{ @root.serial_number }}
                                </div>
                                <div style="margin-right: 20px;">
                                    de (from)<br/><br/>{{ @root.airfield_departure_oaci }}
                                </div>
                                <div style="margin-right: auto;">
                                    vers (to)<br/><br/>{{ @root.airfield_arrival_oaci }}
                                </div>
                                <div>
                                    &emsp;&emsp;&emsp;&emsp;&emsp;{{ @root.unit_code }}<br/><br/>
                                    Le (date) &emsp;<span class="font-size-large">{{ @root.date }}</span>&emsp; à (at) &emsp;<span class="font-size-large">{{ @root.time }}</span>&emsp;
                                </div>
                            </div>
                            <div class="flex space-around luggages">
                                <span>Bagages de cabine (carry-on-luggage)&emsp; {{ luggage_weight }} &emsp;{{ @root.weight_unit }}</span>
                                <span>Bagages de soute (hold luggage)&emsp; {{ hold_luggage_weight }} &emsp;{{ @root.weight_unit }}</span>
                            </div>
                            <div class="text-uppercase font-size-small">
                                {{ @root.ticket_mention }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {{/each}}
    </div>
{{/each}}
</body>
</html>
